Bug 963583 - [abrt] sssd-1.9.4-2.fc17: pam_dp_process_reply: Process /usr/libexec/sssd/sssd_pam was killed by signal 11 (SIGSEGV)
[abrt] sssd-1.9.4-2.fc17: pam_dp_process_reply: Process /usr/libexec/sssd/sss...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
abrt_hash:023c078bc13195f079646e7a84b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 04:08 EDT by sellorm
Modified: 2013-07-30 13:50 EDT (History)
5 users (show)

See Also:
Fixed In Version: sssd-1.10.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 11:30:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.77 KB, text/plain)
2013-05-16 04:08 EDT, sellorm
no flags Details
File: cgroup (154 bytes, text/plain)
2013-05-16 04:08 EDT, sellorm
no flags Details
File: core_backtrace (990 bytes, text/plain)
2013-05-16 04:08 EDT, sellorm
no flags Details
File: dso_list (3.71 KB, text/plain)
2013-05-16 04:10 EDT, sellorm
no flags Details
File: environ (189 bytes, text/plain)
2013-05-16 04:10 EDT, sellorm
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-16 04:10 EDT, sellorm
no flags Details
File: maps (18.13 KB, text/plain)
2013-05-16 04:10 EDT, sellorm
no flags Details
File: open_fds (1.17 KB, text/plain)
2013-05-16 04:10 EDT, sellorm
no flags Details
File: proc_pid_status (897 bytes, text/plain)
2013-05-16 04:10 EDT, sellorm
no flags Details
File: smolt_data (3.19 KB, text/plain)
2013-05-16 04:10 EDT, sellorm
no flags Details
File: var_log_messages (315 bytes, text/plain)
2013-05-16 04:10 EDT, sellorm
no flags Details

  None (edit)
Description sellorm 2013-05-16 04:08:49 EDT
Version-Release number of selected component:
sssd-1.9.4-2.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/libexec/sssd/sssd_pam --debug-to-files
crash_function: pam_dp_process_reply
executable:     /usr/libexec/sssd/sssd_pam
kernel:         3.8.4-102.fc17.x86_64
uid:            0
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 pam_dp_process_reply at src/responder/pam/pamsrv_dp.c:58
 #1 complete_pending_call_and_unlock at dbus-connection.c:2308
 #3 sbus_dispatch at src/sbus/sssd_dbus_connection.c:104
 #4 tevent_common_loop_timer_delay at ../tevent_timed.c:254
 #5 std_event_loop_once at ../tevent_standard.c:560
 #6 _tevent_loop_once at ../tevent.c:506
 #7 tevent_common_loop_wait at ../tevent.c:607
 #8 server_loop at src/util/server.c:601
Comment 1 sellorm 2013-05-16 04:08:53 EDT
Created attachment 748636 [details]
File: backtrace
Comment 2 sellorm 2013-05-16 04:08:56 EDT
Created attachment 748637 [details]
File: cgroup
Comment 3 sellorm 2013-05-16 04:08:58 EDT
Created attachment 748638 [details]
File: core_backtrace
Comment 4 sellorm 2013-05-16 04:10:01 EDT
Created attachment 748639 [details]
File: dso_list
Comment 5 sellorm 2013-05-16 04:10:04 EDT
Created attachment 748640 [details]
File: environ
Comment 6 sellorm 2013-05-16 04:10:06 EDT
Created attachment 748641 [details]
File: limits
Comment 7 sellorm 2013-05-16 04:10:08 EDT
Created attachment 748642 [details]
File: maps
Comment 8 sellorm 2013-05-16 04:10:10 EDT
Created attachment 748643 [details]
File: open_fds
Comment 9 sellorm 2013-05-16 04:10:12 EDT
Created attachment 748644 [details]
File: proc_pid_status
Comment 10 sellorm 2013-05-16 04:10:14 EDT
Created attachment 748645 [details]
File: smolt_data
Comment 11 sellorm 2013-05-16 04:10:17 EDT
Created attachment 748646 [details]
File: var_log_messages
Comment 12 Jakub Hrozek 2013-05-16 05:48:54 EDT
This might be upstream https://fedorahosted.org/sssd/ticket/1869 judging by the backtrace? Is this problem reproducable?
Comment 13 sellorm 2013-05-17 09:52:53 EDT
The issue occurred on initial login and has not happened again since.
Comment 14 Jakub Hrozek 2013-06-19 14:36:00 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1869
Comment 15 Fedora Update System 2013-06-28 05:13:14 EDT
sssd-1.10.0-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sssd-1.10.0-13.fc19
Comment 16 Fedora Update System 2013-06-29 11:22:51 EDT
Package sssd-1.10.0-13.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.10.0-13.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11899/sssd-1.10.0-13.fc19
then log in and leave karma (feedback).
Comment 17 Fedora End Of Life 2013-07-04 03:43:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Jakub Hrozek 2013-07-09 11:30:19 EDT
Fixed in sssd-1.10.0-13 which is in stable updates already.
Comment 19 Jakub Hrozek 2013-07-09 11:30:48 EDT
(In reply to Jakub Hrozek from comment #18)
> Fixed in sssd-1.10.0-13 which is in stable updates already.

Ugh, sorry, the version should have said -16
Comment 20 Fedora Update System 2013-07-18 15:46:27 EDT
sssd-1.10.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sssd-1.10.1-1.fc19
Comment 21 Fedora Update System 2013-07-30 13:50:59 EDT
sssd-1.10.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.